> ## Documentation Index
> Fetch the complete documentation index at: https://docs.scrape.rocks/llms.txt
> Use this file to discover all available pages before exploring further.

# Snapchat

| Method | Endpoint               | Parameters |
| ------ | ---------------------- | ---------- |
| GET    | `/snapchat/user`       | `username` |
| GET    | `/snapchat/story`      | `username` |
| GET    | `/snapchat/snaps`      | `username` |
| GET    | `/snapchat/spotlight`  | `username` |
| GET    | `/snapchat/highlights` | `username` |

<CodeGroup>
  ```bash curl theme={null}
  curl -H "Authorization: Bearer <key>" "https://api.scrape.rocks/snapchat/user?username=example"
  ```

  ```python Python theme={null}
  import requests

  headers = {"Authorization": "Bearer <key>"}
  r = requests.get("https://api.scrape.rocks/snapchat/user?username=example", headers=headers)
  print(r.json())
  ```

  ```javascript JavaScript theme={null}
  fetch("https://api.scrape.rocks/snapchat/user?username=example", {
    headers: { Authorization: "Bearer <key>" }
  })
    .then(r => r.json())
    .then(console.log)
  ```

  ```typescript TypeScript theme={null}
  const response = await fetch("https://api.scrape.rocks/snapchat/user?username=example", {
    headers: { Authorization: "Bearer <key>" }
  });
  const data = await response.json();
  console.log(data);
  ```
</CodeGroup>

```json Response theme={null}
{
  "username": "example",
  "display_name": "Example User",
  "bio": "Just a test account",
  "profile_picture_url": "https://...",
  "subscriber_count": 1500,
  "has_story": true,
  "category": "Entertainer"
}
```
